Bug 1411457 - [abrt] gnome-software: gtk_stack_set_visible_child_name(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: gtk_stack_set_visible_child_name(): gnome-software kil...
Keywords:
Status: CLOSED DUPLICATE of bug 1468417
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:22067155ba4ed0674c3f574085f...
: 1426915 1497553 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 19:14 UTC by Peter
Modified: 2017-11-23 13:18 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-23 13:18:31 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (36.82 KB, text/plain)
2017-01-09 19:14 UTC, Peter
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-09 19:14 UTC, Peter
no flags Details
File: core_backtrace (3.23 KB, text/plain)
2017-01-09 19:14 UTC, Peter
no flags Details
File: dso_list (19.26 KB, text/plain)
2017-01-09 19:15 UTC, Peter
no flags Details
File: environ (1.03 KB, text/plain)
2017-01-09 19:15 UTC, Peter
no flags Details
File: exploitable (100 bytes, text/plain)
2017-01-09 19:15 UTC, Peter
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-09 19:15 UTC, Peter
no flags Details
File: maps (90.01 KB, text/plain)
2017-01-09 19:15 UTC, Peter
no flags Details
File: mountinfo (4.09 KB, text/plain)
2017-01-09 19:15 UTC, Peter
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-09 19:15 UTC, Peter
no flags Details
File: open_fds (5.37 KB, text/plain)
2017-01-09 19:15 UTC, Peter
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-09 19:15 UTC, Peter
no flags Details
File: var_log_messages (790 bytes, text/plain)
2017-01-09 19:15 UTC, Peter
no flags Details

Description Peter 2017-01-09 19:14:51 UTC
Version-Release number of selected component:
gnome-software-3.22.4-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
global_pid:     3001
kernel:         4.7.7-200.fc24.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 gtk_stack_set_visible_child_name at gtkstack.c:1839
 #1 get_sources_cb at gs-sources-dialog.c:327
 #2 g_task_return_now at gtask.c:1121
 #3 complete_in_idle_cb at gtask.c:1135
 #8 g_main_context_iteration at gmain.c:3990
 #9 g_application_run at gapplication.c:2381

Potential duplicate: bug 1336013

Comment 1 Peter 2017-01-09 19:14:56 UTC
Created attachment 1238859 [details]
File: backtrace

Comment 2 Peter 2017-01-09 19:14:58 UTC
Created attachment 1238860 [details]
File: cgroup

Comment 3 Peter 2017-01-09 19:14:59 UTC
Created attachment 1238861 [details]
File: core_backtrace

Comment 4 Peter 2017-01-09 19:15:01 UTC
Created attachment 1238862 [details]
File: dso_list

Comment 5 Peter 2017-01-09 19:15:03 UTC
Created attachment 1238863 [details]
File: environ

Comment 6 Peter 2017-01-09 19:15:04 UTC
Created attachment 1238864 [details]
File: exploitable

Comment 7 Peter 2017-01-09 19:15:06 UTC
Created attachment 1238865 [details]
File: limits

Comment 8 Peter 2017-01-09 19:15:08 UTC
Created attachment 1238866 [details]
File: maps

Comment 9 Peter 2017-01-09 19:15:10 UTC
Created attachment 1238867 [details]
File: mountinfo

Comment 10 Peter 2017-01-09 19:15:12 UTC
Created attachment 1238868 [details]
File: namespaces

Comment 11 Peter 2017-01-09 19:15:13 UTC
Created attachment 1238869 [details]
File: open_fds

Comment 12 Peter 2017-01-09 19:15:15 UTC
Created attachment 1238870 [details]
File: proc_pid_status

Comment 13 Peter 2017-01-09 19:15:16 UTC
Created attachment 1238871 [details]
File: var_log_messages

Comment 14 K R 2017-01-22 01:51:12 UTC
Similar problem has been detected:

I opened the application, Gnome-Software. I clicked on the Audio-Video category.
Once within, I navigated between the All, Featured and other categories. 
I navigated few times - here and there and it crashed.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
global_pid:     1795
kernel:         4.9.4-201.fc25.x86_64
package:        gnome-software-3.22.5-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-software killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 woob 2017-02-02 05:04:10 UTC
Similar problem has been detected:

Attempting to close "Software Sources" window due to contents not loading

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        gnome-software
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
global_pid:     15407
kernel:         4.9.5-200.fc25.x86_64
package:        gnome-software-3.22.5-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-software killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 fedeb1995 2017-02-26 10:51:40 UTC
*** Bug 1426915 has been marked as a duplicate of this bug. ***

Comment 17 Douglas 2017-04-23 20:58:28 UTC
Similar problem has been detected:

I was switching between programs within GNOME Software, clicking around (while some program was being installed), then it suddenly froze and closed.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
global_pid:     1817
kernel:         4.10.10-200.fc25.x86_64
package:        gnome-software-3.22.7-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-software killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 bjnaga 2017-10-01 18:43:37 UTC
*** Bug 1497553 has been marked as a duplicate of this bug. ***

Comment 19 Fedora End Of Life 2017-11-16 14:41:44 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 20 Kalev Lember 2017-11-23 13:18:31 UTC

*** This bug has been marked as a duplicate of bug 1468417 ***


Note You need to log in before you can comment on or make changes to this bug.